## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://dev.writer.com/llms.txt)

Use this file to discover all available pages before exploring further.

### cURL

```bash
curl --location --request GET https://api.writer.com/v1/applications/{application_id}/graphs \
 --header "Authorization: Bearer <token>"
```

### Python Example

```python
import os
from writerai import Writer

client = Writer(
    api_key=os.environ.get("WRITER_API_KEY"),  # This is the default and can be omitted
)
application_graphs_response = client.applications.graphs.list(
    "application_id",
)
print(application_graphs_response.graph_ids)
```

### JavaScript Example

```javascript
import Writer from 'writer-sdk';

const client = new Writer({
  apiKey: process.env['WRITER_API_KEY'], // This is the default and can be omitted
});

async function main() {
  const applicationGraphsResponse = await client.applications.graphs.list('application_id');

console.log(applicationGraphsResponse.graph_ids);
}

main();
```

### Response

200

```json
{
  "graph_ids": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ]
}
```

### Endpoint
GET /v1/applications/{application_id}/graphs

No-code applications are now called [no-code agents](https://dev.writer.com/no-code/introduction). The [Applications API](https://dev.writer.com/api-reference/application-api/api-reference/application-api/applications), which you can use to programmatically interact with no-code agents, still uses the term `application` to minimize breaking changes.

#### Authorizations

**Authorization**  
string  
header  
required  
Bearer authentication header of the form `Bearer <token>`, where `<token>` is your [Writer API key](https://dev.writer.com/api-reference/api-keys).

#### Path Parameters

**application_id**  
string  
required  
The ID of the no-code agent for which to retrieve Knowledge Graphs.

#### Response

**200 - application/json**  
Successful  
**graph_ids**  
string<uuid>[]  
required  
A list of Knowledge Graphs associated with the application.
